AutoCAD Inventor :: How To Create Flat Belt Driven System
Oct 22, 2013
How can I create a flat belt driven system? The drive system and the flat belt are in the attachments of this message.
What I did until now was to create a part for the belt within the assembly (extrude part). The sketch is depending on the position of the rollers and everything else. Although when I create the belt I can no longer move the system. If I suppress the belt, move the system and unsupress the belt, the belts assumes the new positions.
My purpose would be to be able to still get a variable assembly so I could also make a dynamic simulation of the system.
I need to create rotating pulleys with belt can be v-belt or synchronous one. Shaft number one needs to power shaft number two by using this belt. I created shafts and belt with pulleys by using design accelerator but I dont know how to set all the constraints/connections to make them move. Link to the animation tutorial( I found tutorials for this but they are not with the shafts, just pulleys with chain or belts).
I would like a part, that if i place it into an assembly, that it asks for a parameter (for example the length).Parts in the content center have this featere (for example tubes). I think this has to do with the driven length in the content center.
I want to creat a flatpattern of an iregulary cut cylinder that was made in the standard .ipt world and is now converted into a sheetmetal. I want to "Unroll" the piece out so can see the shape of it as a flat piece. Picture of it is attached.
I can't get Inventor to create a flat pattern of the attached sheetmetal part. It's a pretty basic part, just five folds. I'm not getting any error issues - when I go to the flat pattern it just shows the folded part (picture attached).
I assume it has something to do with the way I folded it and the notches, etc. Inv makes to accomplish the fold. I'm using Inventor 2013 on Win 8.
I need a code to generate the Flat Pattern in VBA.
I made an app who sets the specific material and I would like to unfold the folded part at the same time.
I tried this code, but not works:
Dim partDoc As PartDocument Dim sheetMetalDef As SheetMetalComponentDefinition If (Not sheetMetalDef.HasFlatPattern()) Then sheetMetalDef.Unfold End If
I am trying to create a flat bar family similar to the ANSI one but has smaller sizes & is more in line with the AS standard. I have searched the inter web & have found a few on changing/editing existing families but not creating a new one.
I recently switched to Inventor 2012 from a previous version. I cannot find the create flat pattern command. Some of my coworkers were able to customize their RMB menu to have this command, but I am not even able to do that! (They don't have the command on the ribbon, either.)
To increase the speed of production, I like to generate idws of flat patterns from assembly. The following iLogic rule work fine inside a metal sheet (I had to create flat pattern before run this rule).
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumDim oDrawingDoc As DrawingDocumentDim oPartDoc As DocumentDim oSheet As sheetDim oTG As TransientGeometryDim oView1 As DrawingViewDim oOptions As NameValueMapoPartDoc [Code] ........
But from an assembly there are some problem ( firstable I'm not an expert of vba and ilogic) Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumfmgr = ThisApplication.FilemanagerFor Each file In fmgr.filesdoc = ThisApplication.Documents.ItemByName (file.fullfileName)compdef = doc.ComponentDefinition' For each assembly or subassembly'If (doc.documenttype = 12291) Then For Each occ In compdef.Occurrences' For sheet metal or part [Code] ........
I have created a round end cap with a flange for a tank. (Please see attached picture) We have a flanging machine that rolls the edges on round flat pieces of sheet metal. The issue is that no matter how I create this rolled flange in the model, I cannot get a flat pattern out of this.
We need to know the size of the blank before rolling the lip on it and I have tried using the contour flange and it doesn't work, I have tried revolving in sheet metal and it still will not create a round flat pattern. It seems that no matter what I do, it will not produce a round flat pattern. Is this something that can be done in inventor or am I just trying to do something that inventor is not yet capable of doing?
I want to create a hole approx 586x586mm. But every time i try inventor respond with "The attempted operation did not produce a meaningful result" If i do a slightly smaller hole it will work, but that is not what i want...
I would like to know how to draw segment elbow 90 degrees ( segments are not equal ) and create Flat Pattern for each of the segments - using sheetmetal in Autodesk Inventor?
I'm attempting to create a mini version of a product, I use the Derived Component button and scale the part down. Then I use Convert to Sheet Metal, set my sheet metal defaults, but then nothing happens when i try to create flat pattern. Is it even possible to derive a flat pattern from a scaled part?
The company I work for has a large number of Left Hand and Right Hand sheet metal parts. To reduce the amount of time needed to create both Left Hand and Right Hand sheet metal parts, I use the Derived Part icon. I create a Left Hand part, use the derive icon with mirroring on and create the Right Hand part. While the Right Hand sheet metal part gets created, the Right Hand part will not allow me to create a Flat Pattern.
what steps must I follow to create a derived sheet metal part that I can make a Flat Pattern with?
I can't find a way to create multi flat patters in one part from a lofted sheetmetal part. Also, didn't the developers fix the 'can't make a flat pattern from a derived part'?
IV 2010 Suite Digital Storm PC: EVGA & Intel components Win 7 Pro 64 bit
If I have a parameter in a sketch were I want to change side of the reference line in a other word I want to put in a negative value in the parameter to change side. I want to do this because I have used this parameter in other equations and want not delete it and replace again.
I want to creat a driven dimension that I can use as a reference dimension in another part. Is there an easy way to do this without creating a new sketch, going into a previous sketch, making a long function based on other dimensions, etc.? For instance, just like the measure tool, but it stores the measurement.
If my memory serves correctly CATIA used to have a feature pattern type that allowed for the selection of two sketches (or something along these lines, my memory is fuzzy). One sketch contained the feature profile, and the other contained points where you wanted the patterned features to plop out at. Is there any similar function in IV?
In case there's another way to accomplish what I'm trying to do, I'm drawing a piece of roll formed sheetmetal with a crap load of slots with non-uniform spacing. I would really prefer to not have to create a sketch and draw all these slots. Especially when there's not even a legitimate slot command. I could probably draw one and then copy it around a bunch of times,
I have an assembly I've put together in Inventor 2011. I tried to make an adaptive spring to use with a shock that goes in a car. I'd like the spring to change size as the shock extends and contracts.
I went through the process of creating an adaptive spring, and it worked, but I could only change the length of the spring by using the "Drive Constraint" feature, which only allows me to adjust the spring when I'm using the "Drive Constraint" menu. It plays like a movie. What I want is a part that just moves like you would expect when you push/pull the ends of the shock. I don't want to have to drive it like a movie.
So then I thought that I could just simulate a spring by making a series of rings (toroids). I could constrain the bottom ring and top ring to the shock geometry and then have the other rings position themselves according to the distance between the top and bottom rings.
SO, I have 5 rings. The bottom ring is grounded the top ring has a Limit Constraint that sets the top ring anywhere between 3 and 7 inches above the bottom ring.
How do I create a driven dimension on an assembly that will automatically update the distance between the top and bottom ring?
I would like to call that dimension "HEIGHT", and then I could use parameters to set the middle ring a distance (HEIGHT/2) above the bottom ring, I could set the ring below the middle to (HEIGHT/4), and I could set the ring above the middle to (HEIGHT*3/4).
I should then be able to move the upper ring up and down and the other rings reposition themselves automatically to keep even spacing between the rings on either side.
I tried making a sketch in the assembly and using the "Project Geometry" function to add the location of the upper and lower rings to the sketch. I then used the "Dimension" function to create a driven dimension between the upper and lower rings. When I finished the sketch the other rings all updated exactly as anticipated, but when I moved the top ring the projected outline did NOT move, so the other rings did not continue to update.
lease do NOT link me to adaptive coil video tutorials or explain how driven dimensions work when making parts. I am not looking for that, I am looking for how to create driven dimensions between two placed components in an ASSEMBLY.
I have a parent assembly that contains multiple sub assemblies, two of which need to synchronize with each other.In the parent assembly, I have created a user form that controls the sizes and quantities of all the different sub assemblies.
Sub assembly 1 contains a bracket for supporting 4 rows of pipes.Based on the width selected from the main parent assembly, the length of this bracket can vary.
The spacing of the 4 mounting positions is also determined from the length of the bracket.Sub assembly 2 is an assembly containing all the pipes.The pipes are spaced apart to suit the bracket using a component pattern, and it is this distance that I want to control from the parent assembly.This is just one of the basic scripts I've tried.
Parameter("Piping assembly:1", "Pipe_Spacing_B")=Pipe_Spacing Pipe_Spacing_A is the spacing of the bracket Pipe_Spacing_B is the component pattern in the piping assembly Pipe_Spacing is the parameter in the parent assembly to be driven by the bracket parameters.
I have very little iLogic experience & have being learning as I go along with this project.My best guess is that the code can't loop back on itself. On a slightly different note, I have also noticed that the sub assemblies don't update properly.
If I adjust the width to X and regenerate the model, some of the sub assembly updates. To fully update, I have to go back into the user form, change the size to Y & then change it back again to X and then regenerate.
In 2012 when in a sketch in an assembly all the stuff under "Format" is grayed out.
You cannot make a dimension driven, nor can you make a line construction or a centerline and you can't change a sketch point into a center point. Do I have some setting wrong?